### Constructor

# Gimp Channel new

#### Declaration [src]

    GimpChannel*
    gimp_channel_new (
      GimpImage* image,
      const gchar* name,
      gint width,
      gint height,
      gdouble opacity,
      GeglColor* color
    )

#### Description [src]

Create a new channel.

This procedure creates a new channel with the specified `width`, `height`, `name`, `opacity` and `color`.

Other attributes, such as channel visibility, should be set with explicit procedure calls.

The new channel still needs to be added to the image, as this is not automatic. Add the new channel with `gimp_image_insert_channel()`.

The channel’s contents are undefined initially.

#### Parameters

`image`

  Type: `GimpImage`

  The image to which to add the channel.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The channel name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  The channel width.

`height`

  Type: `gint`

  The channel height.

`opacity`

  Type: `gdouble`

  The channel opacity.

`color`

  Type: `GeglColor`

  The channel compositing color.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpChannel`

The newly created channel.

The data is owned by the called function.